%define real_ver 1.3.4-20160927

Summary:	An interpreter for the awk programming language
Name:		mawk
Version:	1.3.4_20160927
Release: 	1
License:	GPL
Group:		Development/Other
URL:		http://www.math.fu-berlin.de/~leitner/mawk/
Source0:	%{name}-%{real_ver}.tgz
Source1:	%{name}-%{real_ver}.tgz.asc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Mawk is a version of the awk programming language.  Awk interprets a 
special-purpose programming language to do quick text pattern matching
and reformatting.  Mawk improves on awk in certain ways and can 
sometimes outperform gawk, the standard awk program for Linux.  Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

You should install mawk if you use awk.


%prep
%setup -q -n %{name}-%{real_ver}


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ACKNOWLEDGMENT CHANGES INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Oct 06 2016 Michael Perzl <michael@perzl.org> - 1.3.4_20160927-1
- updated to version 1.3.4_20160927

* Thu Oct 06 2016 Michael Perzl <michael@perzl.org> - 1.3.4_20160918-1
- updated to version 1.3.4_20160918

* Thu Sep 15 2016 Michael Perzl <michael@perzl.org> - 1.3.4_20160905-1
- updated to version 1.3.4_20160905

* Mon Aug 08 2016 Michael Perzl <michael@perzl.org> - 1.3.4_20160615-1
- updated to version 1.3.4_20160615

* Mon Aug 08 2016 Michael Perzl <michael@perzl.org> - 1.3.4_20160313-1
- updated to version 1.3.4_20160313

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.3.4_20150503-1
- updated to version 1.3.4_20150503

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.3.4_20141206-1
- updated to version 1.3.4_20141206

* Mon Nov 03 2014 Michael Perzl <michael@perzl.org> - 1.3.4_20141027-1
- updated to version 1.3.4_20141027

* Mon Nov 03 2014 Michael Perzl <michael@perzl.org> - 1.3.4_20140914-1
- updated to version 1.3.4_20140914

* Sun Dec 29 2013 Michael Perzl <michael@perzl.org> - 1.3.4_20131226-1
- updated to version 1.3.4_20131226

* Mon Aug 05 2013 Michael Perzl <michael@perzl.org> - 1.3.4_20130803-1
- updated to version 1.3.4_20130803

* Mon Dec 10 2012 Michael Perzl <michael@perzl.org> - 1.3.4_20121209-1
- updated to version 1.3.4_20121209

* Thu Nov 29 2012 Michael Perzl <michael@perzl.org> - 1.3.4_20121129-1
- updated to version 1.3.4_20121129

* Tue Jun 29 2010 Michael Perzl <michael@perzl.org> - 1.3.4_20100625-1
- updated to version 1.3.4_20100625

* Mon May 10 2010 Michael Perzl <michael@perzl.org> - 1.3.4_20100507-1
- updated to version 1.3.4_20100507

* Tue Apr 20 2010 Michael Perzl <michael@perzl.org> - 1.3.4_20100419-1
- updated to version 1.3.4_20100419

* Mon Dec 21 2009 Michael Perzl <michael@perzl.org> - 1.3.4-1
- updated to version 1.3.4

* Wed Aug 26 2009 Michael Perzl <michael@perzl.org> - 1.3.3-20090820-1
- first version for AIX V5.1 and higher
